From: kristofferhaugsbakk@fastmail.com
To: Junio C Hamano <gitster@pobox.com>
Cc: Kristoffer Haugsbakk <code@khaugsbakk.name>,
git@vger.kernel.org, Eric Sunshine <sunshine@sunshineco.com>,
peff@peff.net, Patrick Steinhardt <ps@pks.im>
Subject: [PATCH v6 5/9] t0014: test shadowing of aliases for a sample of builtins
Date: Wed, 17 Sep 2025 22:24:15 +0200 [thread overview]
Message-ID: <35764.1758139856.short.code@khaugsbakk.name> (raw)
In-Reply-To: <cover.1758139856.short.code@khaugsbakk.name>
From: Kristoffer Haugsbakk <code@khaugsbakk.name>
The previous commit added tests for shadowing deprecated builtins.
Let’s make the test suite more complete by exercising a sample of
the builtins and in turn test the documentation for git-config(1):
To avoid confusion and troubles with script usage, aliases that hide
existing Git commands are ignored except for deprecated commands.
Signed-off-by: Kristoffer Haugsbakk <code@khaugsbakk.name>
---
Notes (series):
v3 (new):
Only a sample of builtins since the test file takes about 600ms longer
if I test all of them.
t/t0014-alias.sh | 17 +++++++++++++++++
1 file changed, 17 insertions(+)
diff --git a/t/t0014-alias.sh b/t/t0014-alias.sh
index 1b196ed9d6d..07a53e7366e 100755
--- a/t/t0014-alias.sh
+++ b/t/t0014-alias.sh
@@ -95,4 +95,21 @@ test_expect_success 'can alias-shadow via two deprecated builtins' '
test_cmp expect actual
'
+cannot_alias_regular_builtin () {
+ cmd="$1" &&
+ # some git(1) commands will fail... (see above)
+ test_might_fail git "$cmd" -h >expect &&
+ test_file_not_empty expect &&
+ test_might_fail git -c alias."$cmd"=status "$cmd" -h >actual &&
+ test_cmp expect actual
+}
+
+test_expect_success 'cannot alias-shadow a sample of regular builtins' '
+ for cmd in grep check-ref-format interpret-trailers \
+ checkout-index fast-import diagnose rev-list prune
+ do
+ cannot_alias_regular_builtin "$cmd" || return 1
+ done
+'
+
test_done
--
2.51.0.274.gdcb64e51a0f
next prev parent reply other threads:[~2025-09-17 20:26 UTC|newest]
Thread overview: 102+ messages / expand[flat|nested] mbox.gz Atom feed top
2025-08-27 16:29 [PATCH 0/4] you-still-use-that??: improve breaking changes troubleshooting kristofferhaugsbakk
2025-08-27 16:29 ` [PATCH 1/4] usage: help the user help themselves kristofferhaugsbakk
2025-08-27 20:36 ` Kristoffer Haugsbakk
2025-08-27 21:02 ` Eric Sunshine
2025-08-27 21:20 ` Junio C Hamano
2025-08-27 21:27 ` Eric Sunshine
2025-08-27 22:26 ` Junio C Hamano
2025-08-28 6:39 ` Kristoffer Haugsbakk
2025-08-28 15:09 ` Junio C Hamano
2025-09-03 16:50 ` Eric Sunshine
2025-09-03 17:53 ` Kristoffer Haugsbakk
2025-09-03 21:21 ` Eric Sunshine
2025-09-03 21:41 ` Kristoffer Haugsbakk
2025-09-03 21:44 ` Jeff King
2025-09-03 22:11 ` Eric Sunshine
2025-09-04 6:57 ` Kristoffer Haugsbakk
2025-09-05 13:11 ` Jeff King
2025-09-09 20:01 ` Kristoffer Haugsbakk
2025-08-27 21:14 ` Junio C Hamano
2025-08-27 16:29 ` [PATCH 2/4] whatchanged: tell users the git-log(1) equivalent kristofferhaugsbakk
2025-08-27 16:45 ` Junio C Hamano
2025-08-27 16:48 ` Junio C Hamano
2025-08-27 17:08 ` Kristoffer Haugsbakk
2025-08-28 12:07 ` Kristoffer Haugsbakk
2025-08-27 16:29 ` [PATCH 3/4] whatchanged: remove not-even-shorter clause kristofferhaugsbakk
2025-08-27 16:29 ` [PATCH 4/4] BreakingChanges: remove claim about whatchanged reports kristofferhaugsbakk
2025-08-27 16:43 ` [PATCH 0/4] you-still-use-that??: improve breaking changes troubleshooting Junio C Hamano
2025-08-29 15:21 ` [PATCH v2 " kristofferhaugsbakk
2025-08-29 15:21 ` [PATCH v2 1/4] you-still-use-that??: help the user help themselves kristofferhaugsbakk
2025-08-29 15:21 ` [PATCH v2 2/4] whatchanged: tell users the git-log(1) equivalent kristofferhaugsbakk
2025-08-29 15:21 ` [PATCH v2 3/4] whatchanged: remove not-even-shorter clause kristofferhaugsbakk
2025-08-29 15:21 ` [PATCH v2 4/4] BreakingChanges: remove claim about whatchanged reports kristofferhaugsbakk
2025-09-08 15:36 ` [PATCH v3 0/8] you-still-use-that??: improve breaking changes troubleshooting kristofferhaugsbakk
2025-09-08 15:36 ` [PATCH v3 1/8] git: add `deprecated` category to --list-cmds kristofferhaugsbakk
2025-09-09 6:43 ` Patrick Steinhardt
2025-09-09 8:02 ` Kristoffer Haugsbakk
2025-09-08 15:36 ` [PATCH v3 2/8] git: make the two loops look more symmetric kristofferhaugsbakk
2025-09-08 15:36 ` [PATCH v3 3/8] git: allow alias-shadowing deprecated builtins kristofferhaugsbakk
2025-09-08 20:47 ` Junio C Hamano
2025-09-08 21:11 ` Jeff King
2025-09-08 21:55 ` Junio C Hamano
2025-09-09 6:25 ` Kristoffer Haugsbakk
2025-09-08 15:36 ` [PATCH v3 4/8] t0014: test shadowing of aliases for a sample of builtins kristofferhaugsbakk
2025-09-08 15:36 ` [PATCH v3 5/8] you-still-use-that??: help the user help themselves kristofferhaugsbakk
2025-09-08 15:36 ` [PATCH v3 6/8] whatchanged: tell users the git-log(1) equivalent kristofferhaugsbakk
2025-09-08 15:36 ` [PATCH v3 7/8] whatchanged: remove not-even-shorter clause kristofferhaugsbakk
2025-09-08 15:36 ` [PATCH v3 8/8] BreakingChanges: remove claim about whatchanged reports kristofferhaugsbakk
2025-09-09 19:45 ` [PATCH v4 0/7] you-still-use-that??: improve breaking changes troubleshooting kristofferhaugsbakk
2025-09-09 19:45 ` [PATCH v4 1/7] git: add `deprecated` category to --list-cmds kristofferhaugsbakk
2025-09-09 21:44 ` Junio C Hamano
2025-09-10 11:41 ` Patrick Steinhardt
2025-09-10 15:50 ` Jeff King
2025-09-10 21:40 ` Junio C Hamano
2025-09-10 20:23 ` Kristoffer Haugsbakk
2025-09-09 19:45 ` [PATCH v4 2/7] git: allow alias-shadowing deprecated builtins kristofferhaugsbakk
2025-09-10 5:13 ` Jeff King
2025-09-10 15:48 ` Jeff King
2025-09-10 17:58 ` Kristoffer Haugsbakk
2025-09-10 18:34 ` Jeff King
2025-09-11 17:31 ` Kristoffer Haugsbakk
2025-09-11 20:32 ` Jeff King
2025-09-11 20:43 ` Jeff King
2025-09-13 14:10 ` Kristoffer Haugsbakk
2025-09-13 22:06 ` Jeff King
2025-09-14 17:24 ` Kristoffer Haugsbakk
2025-09-15 1:44 ` Jeff King
2025-09-15 6:27 ` Kristoffer Haugsbakk
2025-09-11 20:44 ` Jeff King
2025-09-11 21:19 ` Junio C Hamano
2025-09-13 21:50 ` Kristoffer Haugsbakk
2025-09-09 19:45 ` [PATCH v4 3/7] t0014: test shadowing of aliases for a sample of builtins kristofferhaugsbakk
2025-09-09 19:45 ` [PATCH v4 4/7] you-still-use-that??: help the user help themselves kristofferhaugsbakk
2025-09-09 19:45 ` [PATCH v4 5/7] whatchanged: tell users the git-log(1) equivalent kristofferhaugsbakk
2025-09-09 19:45 ` [PATCH v4 6/7] whatchanged: remove not-even-shorter clause kristofferhaugsbakk
2025-09-09 19:45 ` [PATCH v4 7/7] BreakingChanges: remove claim about whatchanged reports kristofferhaugsbakk
2025-09-14 19:49 ` [PATCH v5 0/8] you-still-use-that??: improve breaking changes troubleshooting kristofferhaugsbakk
2025-09-14 19:49 ` [PATCH v5 1/8] git: add `deprecated` category to --list-cmds kristofferhaugsbakk
2025-09-14 19:49 ` [PATCH v5 2/8] git: move seen-alias bookkeeping into handle_alias(...) kristofferhaugsbakk
2025-09-14 19:49 ` [PATCH v5 3/8] git: allow alias-shadowing deprecated builtins kristofferhaugsbakk
2025-09-14 19:49 ` [PATCH v5 4/8] t0014: test shadowing of aliases for a sample of builtins kristofferhaugsbakk
2025-09-14 19:49 ` [PATCH v5 5/8] you-still-use-that??: help the user help themselves kristofferhaugsbakk
2025-09-14 19:49 ` [PATCH v5 6/8] whatchanged: hint about git-log(1) and aliasing kristofferhaugsbakk
2025-09-14 19:49 ` [PATCH v5 7/8] whatchanged: remove not-even-shorter clause kristofferhaugsbakk
2025-09-14 19:49 ` [PATCH v5 8/8] BreakingChanges: remove claim about whatchanged reports kristofferhaugsbakk
2025-09-15 19:19 ` [PATCH v5 0/8] you-still-use-that??: improve breaking changes troubleshooting Junio C Hamano
2025-09-16 20:47 ` Kristoffer Haugsbakk
2025-09-16 23:24 ` Jeff King
2025-09-17 15:41 ` Kristoffer Haugsbakk
2025-09-17 16:25 ` Junio C Hamano
2025-09-17 20:24 ` [PATCH v6 0/9] " kristofferhaugsbakk
2025-09-17 20:24 ` [PATCH v6 1/9] Makefile: don’t add whatchanged after it has been removed kristofferhaugsbakk
2025-09-17 20:24 ` [PATCH v6 2/9] git: add `deprecated` category to --list-cmds kristofferhaugsbakk
2025-09-17 20:24 ` [PATCH v6 3/9] git: move seen-alias bookkeeping into handle_alias(...) kristofferhaugsbakk
2025-09-17 20:24 ` [PATCH v6 4/9] git: allow alias-shadowing deprecated builtins kristofferhaugsbakk
2025-09-17 20:24 ` kristofferhaugsbakk [this message]
2025-09-17 20:24 ` [PATCH v6 6/9] you-still-use-that??: help the user help themselves kristofferhaugsbakk
2025-09-17 20:24 ` [PATCH v6 7/9] whatchanged: hint about git-log(1) and aliasing kristofferhaugsbakk
2025-09-17 20:24 ` [PATCH v6 8/9] whatchanged: remove not-even-shorter clause kristofferhaugsbakk
2025-09-17 20:24 ` [PATCH v6 9/9] BreakingChanges: remove claim about whatchanged reports kristofferhaugsbakk
2025-09-18 18:31 ` [PATCH v6 0/9] you-still-use-that??: improve breaking changes troubleshooting Jeff King
2025-09-18 20:21 ` Junio C Hamano
2025-09-18 20:28 ` Kristoffer Haugsbakk
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=35764.1758139856.short.code@khaugsbakk.name \
--to=kristofferhaugsbakk@fastmail.com \
--cc=code@khaugsbakk.name \
--cc=git@vger.kernel.org \
--cc=gitster@pobox.com \
--cc=peff@peff.net \
--cc=ps@pks.im \
--cc=sunshine@sunshineco.com \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is an external index of several public inboxes,
see mirroring instructions on how to clone and mirror
all data and code used by this external index.